Bug 585315 - Requests for certain websites are malformed?
Requests for certain websites are malformed?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 13:08 EDT by Mark Polo
Modified: 2010-07-23 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-23 12:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Polo 2010-04-23 13:08:25 EDT
Description of problem:
I access the Internet through a CheckPoint firewall (some form of hardened Red Hat Linux). For the past few weeks, certain websites are no longer accessible from Firefox on Linux (although they are accessible from Firefox on Windows, Opera on Linux and from "telnet URL 80" on Linux).

Version-Release number of selected component (if applicable):
firefox-3.5.9-2.fc12.x86_64

How reproducible:
Attempt to access www.youtube.com or www.easyjet.com (probably others, those are the two that are presently causing me grief) from behind the CheckPoint firewall. Other websites work without problem.

Steps to Reproduce:
1. Enter address into address bar.
2. Press enter.
3.
  
Actual results:
Error
FW-1 at AL-NHU-ALEMANIA: Access denied.

Expected results:
Access to the website in question.

Additional info: I realize that this is a pretty esoteric problem. However, the fact that the sites work from Opera and from Firefox-win32 would seem to point to a problem in Firefox rather than in my network. If you need more information, just tell me what you need.

I have already tried firefox in safe mode (firefox -safe-mode), and the problem persisted. Other connectivity is normal to these sites (ping, nslookup, telnet www.youtube.com 80).
Comment 1 Mark Polo 2010-04-24 15:49:12 EDT
I have solved the problem. I had IPv6 disabled, and apparently it needed to be enabled. As such, I am closing my bug report.
Comment 2 Mark Polo 2010-04-24 17:33:43 EDT
Well, that's embarassing. I was able to make precisely one connection after making that change, and after that, Firefox returned to its usual behavior. As mentioned, the problem first occurred a few weeks ago.
Comment 3 Mark Polo 2010-07-23 12:39:42 EDT
The problem has now proven to be local (our firewall was refusing long requests, and Firefox seems to send a longer user agent, and so was going over).

This can be closed.

Note You need to log in before you can comment on or make changes to this bug.